Your submission was sent successfully! Close

CVE-2010-2244

Published: 08 July 2010

The AvahiDnsPacket function in avahi-core/socket.c in avahi-daemon in Avahi 0.6.16 and 0.6.25 allows remote attackers to cause a denial of service (assertion failure and daemon exit) via a DNS packet with an invalid checksum followed by a DNS packet with a valid checksum, a different vulnerability than CVE-2008-5081.

Priority

Medium

Status

Package Release Status
avahi
Launchpad, Ubuntu, Debian
Upstream
Released (0.6.26)
Patches:
Upstream: http://git.0pointer.de/?p=avahi.git;a=commit;h=2b2844b10d7b7e5c97f9c667d664d9418bb7769a